{
    "log": {
      "loglevel": "info"
    },
    "inbounds": [
      {
        "port": 24443,
        "protocol": "vless",
        "tag": "proxy",
        "settings": {
          "clients": [
            {
              "id": "f8702759-f402-4e85-92a6-8540d577de22",
              "flow": "xtls-rprx-vision",
              "email": "cc@vless.com",
              "level": 0
            }
          ],
          "decryption": "none",
          "fallbacks": [
            {
              "dest": "/dev/shm/h2c.sock",
              "xver": 2,
              "alpn": "h2"
            },
            {
              "dest": "/dev/shm/h1.sock",
              "xver": 2
            }
          ]
        },
        "streamSettings": {
          "network": "tcp",
          "security": "tls",
          "tlsSettings": {
            "certificates": [
              {
                "ocspStapling": 3600,
                "certificateFile": "/root/.acme.sh/book.107421.xyz_ecc/fullchain.cer",
                "keyFile": "/root/.acme.sh/book.107421.xyz_ecc/book.107421.xyz.key"
              }
            ],
            "minVersion": "1.2",
            "cipherSuites": "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256:TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384:TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256",
            "alpn": [
              "h2",
              "http/1.1"
            ]
          }
        },
        "sniffing": {
          "enabled": true,
          "destOverride": [
            "http",
            "tls"
          ]
        }
      }
    ],
    "outbounds": [
      {
        "protocol": "freedom"
      },
      {
        "protocol": "freedom",
        "tag": "proxy"
      }
    ],
    "routing": {
      "domainStrategy": "AsIs",
      "domainMatcher": "hybrid",
      "rules": [
        {
          "type": "field",
          "inboundTag": [
            "proxy"
          ],
          "outboundTag": "proxy"
        }
      ]
    }
  }